org.eclnt.workplace

## Class WorkplaceFunctionTree

- java.lang.Object
- - org.eclnt.jsfserver.managedbean.DefaultDispatchedBean
  - - org.eclnt.workplace.WorkplaceFunctionTree

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    WorkplaceFunctionTreeFromInfoNode

      public abstract class WorkplaceFunctionTree
      extends DefaultDispatchedBean
      implements java.io.Serializable

  Tree of workplace functions to be started within the workpage container area of the workplace management.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `WorkplaceFunctionTree.FunctionNode` Represents function in function tree.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkplaceFunctionTree(IDispatcher owner)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FIXGRIDTreeBinding<WorkplaceFunctionTree.FunctionNode>` | `getFtree()` Tree of functions that is rendered as workplace tree at client side.
    `protected IWorkpageContainer` | `getWorkpageContainer()`
    `protected IWorkpage` | `loadContentPage(WorkpageStartInfo wpi)`
    `protected abstract void` | `loadFunctionTree()` This method is called during construction: in this method the nodes for the function tree are to be built up.

    - ### Methods inherited from class org.eclnt.jsfserver.managedbean.DefaultDispatchedBean

      `ccDestroy, getOwningDispatcher, setDispatcher`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkplaceFunctionTree

          public WorkplaceFunctionTree(IDispatcher owner)

  - ### Method Detail

    - #### getFtree

          public FIXGRIDTreeBinding<WorkplaceFunctionTree.FunctionNode> getFtree()

      Tree of functions that is rendered as workplace tree at client side.

    - #### loadFunctionTree

          protected abstract void loadFunctionTree()

      This method is called during construction: in this method the nodes for the function tree are to be built up.

    - #### getWorkpageContainer

          protected IWorkpageContainer getWorkpageContainer()

    - #### loadContentPage

          protected IWorkpage loadContentPage(WorkpageStartInfo wpi)

Copyright © CaptainCasa Gmbh. All Rights Reserved.